# **Enhanced Potions Mod for Valheim**

Enhanced Potions adds new powerful mead bases and potions in Valheim.
Available on [Nexus Mods](https://www.nexusmods.com/valheim/mods/879)

I intended to provide a few tweaks in the gameplay for a mid-more-to-end game phase.

## **Mead Base Recipe List**
It currently adds 5 sets of mead base and potions. The default requirements are quite pricey, but it's totally customized:

### **Megingjord's extract** ![Megingjord's extract mead base](https://henriquedeaguiar.com/project/EnhancedPotions/assets/WeightMeadBase-sprite.png) => ![Megingjord's extract potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/WeightPotion-sprite.png)

<sup>*"You feel strong like a god"*</sup>

Gives the drinker a god's strength

Duration `600s (10s)` — `1` mead base => `5` potion(s)

Ingredients

- `10` [Troll Trophy](https://valheim.fandom.com/wiki/troll_trophy) ![Troll Trophy](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/troll_trophy.png)

- `1` [Dragon Egg](https://valheim.fandom.com/wiki/dragon_egg) ![Dragon Egg](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/dragon_egg.png)

- `1` [Megingjord](https://valheim.fandom.com/wiki/megingjord) ![Megingjord](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/megingjord.png)

- `5` [Lox Meat Pie](https://valheim.fandom.com/wiki/lox_meat_pie) ![Lox Meat Pie](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/lox_meat_pie.png)

Effects

*Increased max carry weight, slower health regeneration.*

- Weight: `+250`

- HealthRegenMultiplier: `-0.5`

### **Bifröst's apozem** ![Bifröst's apozem mead base](https://henriquedeaguiar.com/project/EnhancedPotions/assets/PortalMeadBase-sprite.png) => ![Bifröst's apozem potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/PortalPotion-sprite.png)

<sup>*"You feel transcendent"*</sup>

Allows unrestricted Portal use

Duration `450s (7m 30s)` — `1` mead base => `5` potion(s)

Ingredients

- `200` [Greydwarf Eye](https://valheim.fandom.com/wiki/greydwarf_eye) ![Greydwarf Eye](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/greydwarf_eye.png)

- `10` [Surtling Core](https://valheim.fandom.com/wiki/surtling_core) ![Surtling Core](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/surtling_core.png)

- `1` [Dragon Egg](https://valheim.fandom.com/wiki/dragon_egg) ![Dragon Egg](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/dragon_egg.png)

- `15` [Needle](https://valheim.fandom.com/wiki/needle) ![Needle](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/needle.png)

Effects

*Portal usage without any restrictions, slower health and stamina regeneration *

- Portal

- StaminaRegenMultiplier: `-0.25`

- HealthRegenMultiplier: `-0.25`

- Weight: `-100`

### **Tyr's decantation** ![Tyr's decantation mead base](https://henriquedeaguiar.com/project/EnhancedPotions/assets/FlyMeadBase-sprite.png) => ![Tyr's decantation potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/FlyPotion-sprite.png)

<sup>*"You feel lighter"*</sup>

Gives the power of flight

Duration `210s (3m 30s)` — `1` mead base => `5` potion(s)

Ingredients

- `100` [Feathers](https://valheim.fandom.com/wiki/feathers) ![Feathers](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/feathers.png)

- `75` [Cloudberries](https://valheim.fandom.com/wiki/cloudberries) ![Cloudberries](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/cloudberries.png)

- `25` [Copper Ore](https://valheim.fandom.com/wiki/copper_ore) ![Copper Ore](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/copper_ore.png)

- `1` [Queen Bee](https://valheim.fandom.com/wiki/queen_bee) ![Queen Bee](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/queen_bee.png)

Effects

*You can fly but can carry less weight*

- Fly

- Weight: `-150`

**Instructions:** Double tap `JUMP` to activate/deactivate it. Press `JUMP` to go up and `CROUCH` to go down.

### **Hrungnir's effusion** ![Hrungnir's effusion mead base](https://henriquedeaguiar.com/project/EnhancedPotions/assets/WaterSinkMeadBase-sprite.png) => ![Hrungnir's effusion potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/WaterSinkPotion-sprite.png)

<sup>*"You feel your body heavy and your lungs expanded"*</sup>

Gives the power of breathing and walking underwater

Duration `600s (10s)` — `1` mead base => `5` potion(s)

Ingredients

- `50` [Serpent Scale](https://valheim.fandom.com/wiki/serpent_scale) ![Serpent Scale](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/serpent_scale.png)

- `20` [Cooked Serpent Meat](https://valheim.fandom.com/wiki/cooked_serpent_meat) ![Cooked Serpent Meat](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/cooked_serpent_meat.png)

- `15` [Iron](https://valheim.fandom.com/wiki/iron) ![Iron](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/iron.png)

- `20` [Raw Fish](https://valheim.fandom.com/wiki/raw_fish) ![Raw Fish](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/raw_fish.png)

Effects

*You can breathe and walk underwater, stamina regeneration is slower.*

- WaterSink

- StaminaRegenMultiplier: `-0.35`

**Instructions:** You can recover stamina by staying put

### **Spyja solution** ![Spyja solution mead base](https://henriquedeaguiar.com/project/EnhancedPotions/assets/PukeMeadBase-sprite.png) => ![Spyja solution potion](https://henriquedeaguiar.com/project/EnhancedPotions/assets/PukePotion-sprite.png)

<sup>*"You feel sick and won't be able to ingest anything"*</sup>

Smelling horrible and tasting even worse, it will make you vomit

Duration `20s (20s)` — `1` mead base => `10` potion(s)

Ingredients

- `5` [Guck](https://valheim.fandom.com/wiki/guck) ![Guck](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/guck.png)

- `1` [Bloodbag](https://valheim.fandom.com/wiki/bloodbag) ![Bloodbag](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/bloodbag.png)

- `1` [Elder Bark](https://valheim.fandom.com/wiki/elder_bark) ![Elder Bark](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/elder_bark.png)

- `20` [Resin](https://valheim.fandom.com/wiki/resin) ![Resin](https://henriquedeaguiar.com/project/EnhancedPotions/req_imgs/resin.png)

Effects

*You feel sick, health and stamina regeneration is slower*

- Puke

- StaminaRegenMultiplier: `-0.5`

- HealthRegenMultiplier: `-0.85`

**Instructions:** Clears the effects of all the consumed goods (food, potion and mead) while in effect and slows stats regeneration


## **Installation**

- Use [Vortex Mod Manager](https://www.nexusmods.com/about/vortex/)

**OR**

- Download and install [BepInEx Valheim](https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/)
- Download and install [JotunnLib](https://www.nexusmods.com/valheim/mods/507)
- Download this mod and move the zip content so the `<GameLocation>\BepInEx\plugins\EnhancedPotions` directory looks like this:
    - `Assets`
    - `DefaultEnhancedPotions.json`
    - `EnhancedPotions.dll`
    - `Newtonsoft.Json.dll`
    - `System.Data.dll`
    - `System.Runtime.Serialization.dll`

## **Configuration**

Run the game at least once with the mod enabled and then edit the `<GameLocation>\BepInEx\config\hbocao.EnhancedPotions.json` file.

**ATTENTION:** Do NOT change the `MeadPrefabName` and `PotionPrefabName` fields in the JSON. This will bring only pain and make Odin very disappointed. 

## **Future updates**

- More potions: I want to make use of the common overstocked items (dandelions, leather scraps, ancient seeds, trophies, etc) and also introduce new possibilities
- Improve assets: The mod currently uses the MeadBaseTasty and MeadTasty 3D assets and very poorly made sprites
- Improve animations

## **Known Issues**

- The game uses the first item available in the inventory, so it might use the equipped Megingjord. I could patch that but I've decided to keep the mod as clean as possible.

